package eu.dnetlib.openaire.community;

import java.io.IOException;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseBody
@ResponseStatus(value = HttpStatus.INTERNAL_SERVER_ERROR)
public class CommunityException extends Exception {

	/**
	 *
	 */
	private static final long serialVersionUID = -4961233580574761346L;

	public CommunityException(final String message) {
		super(message);
	}

	public CommunityException(final IOException e) {
		super(e);
	}
}
